List Conversation Events
Returns a paginated list of conversation Events.
Authorization
bearerAuth In: header
Query Parameters
Filters resources by conversation.
uuidFilters resources by inbox.
uuidFilters resources by channel.
uuidFilters by any of the supplied channel values.
items <= 10Type of the resource.
Filters by any of the supplied type values.
Only returns resources whose created at is after this timestamp (exclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose created at is at or after this timestamp (inclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose created at is before this timestamp (exclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose created at is at or before this timestamp (inclusive). See Filtering for timestamp precision.
date-timeFilters resources by contact.
uuidType of entity that performed the event.
Entity that performed the event.
uuidType of entity affected by the event.
Entity affected by the event, or null when unavailable.
uuidFilters out resources with this resource.
uuidMaximum number of resources to return.
100 <= value <= 100Opaque token returned by a previous page request.
1 <= lengthId of an object in the list. Returns the objects right after it, which are older because lists are sorted newest first. See Pagination.
uuidId of an object in the list. Returns the objects right before it, which are newer because lists are sorted newest first. Use it to poll for new objects. See Pagination.
uuidResponse Body
application/json
curl -X GET "https://api.getmateo.com/v1/conversation-events"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407", "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2", "type": "conversation.assigned", "actor": { "type": "api_token", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "resource": { "type": "api_token", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "details": { "error": { "code": "string", "message": "string" } }, "created_at": "2019-08-24T14:15:22Z" } ], "next_page_url": "string", "previous_page_url": "string"}